> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/contacts/list-contacts.md).

# List contacts

List contacts and filter them by any custom properties.

To filter contacts on custom property, just add the property with its exact value as a query parameter:\
`myCustomProp=ThisIsAValue`\
This will return the contacts where myCustomProp exactly matches the provided value.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Api"]}],"components":{"securitySchemes":{},"schemas":{"ContactListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ContactDto"},"nullable":true}},"additionalProperties":false},"ContactDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"source":{"$ref":"#/components/schemas/DataSource"},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true}},"additionalProperties":false},"DataSource":{"enum":["Unknown","Website","Partner","Api","Zapier","Tenant","System","HubSpot","Stripe","PartnerDirectory","Salesforce","Mcp"],"type":"string"}}},"paths":{"/v3/contacts":{"get":{"tags":["Contacts"],"summary":"List contacts","description":"List contacts and filter them by any custom properties.\r\n            \r\nTo filter contacts on custom property, just add the property with its exact value as a query parameter:  \r\n`myCustomProp=ThisIsAValue`  \r\nThis will return the contacts where myCustomProp exactly matches the provided value.","parameters":[{"name":"email","in":"query","schema":{"type":"string"}},{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first contact to be returned.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of contacts to be returned. The default is 20.","schema":{"type":"integer","format":"int32","default":20}},{"name":"sort_by","in":"query","description":"The property used to sort the contacts by. The default is Name.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned contacts. Accepted values: ASC, DESC. The default is ASC.","schema":{"type":"string"}}],"responses":{"200":{"description":"Contacts returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactListResponseDto"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/contacts/list-contacts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
